Package be.fgov.ehealth.ehbox.core.v3

# Class EncryptableOldFreeInformation

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.EncryptableOldFreeInformation

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class EncryptableOldFreeInformation extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="Render" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <minLength value="1"/>
               </restriction>
             </simpleType>
           </attribute>
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptableOldFreeInformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRender()`
  This is not encrypted
  `byte[]`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setRender(String value)`
  Sets the value of the render property.
  `void`
  `setValue(byte[] value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncryptableOldFreeInformation

    public EncryptableOldFreeInformation()

- ## Method Details

  - ### getValue

    public byte[] getValue()
    Gets the value of the value property.
    Returns:
      possible object is byte[]

  - ### setValue

    public void setValue(byte[] value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getRender

    public String getRender()
    This is not encrypted
    Returns:
      possible object is `String`

  - ### setRender

    public void setRender(String value)
    Sets the value of the render property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRender()`